Latest releases
GET
/v1/releases/latestFor each country, when figures last arrived and which period they took it to.
Developer plan and upKey requiredJSON or CSVCached until the next release
Parameters
No parameters.
Request
# The last release for each country
curl "https://api.tourismapi.com/v1/releases/latest" \
-H "X-API-Key: $TOURISM_API_KEY"const res = await fetch("https://api.tourismapi.com/v1/releases/latest", {
headers: { "X-API-Key": process.env.TOURISM_API_KEY }
});
if (!res.ok) throw new Error(`Tourism API ${res.status}`);
const { meta, data } = await res.json();
console.log(meta.data_as_of, data);import os, requests
r = requests.get(
"https://api.tourismapi.com/v1/releases/latest",
headers={"X-API-Key": os.environ["TOURISM_API_KEY"]},
timeout=10,
)
r.raise_for_status()
body = r.json()
print(body["meta"]["data_as_of"], body["data"])$ch = curl_init("https://api.tourismapi.com/v1/releases/latest");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => ["X-API-Key: " . getenv("TOURISM_API_KEY")],
]);
$body = json_decode(curl_exec($ch), true);
print_r($body["data"]);
Example response
{
"meta": {
"request_id": "req_9a9e0aa49b",
"data_as_of": "2026-10-20T04:48:24Z",
"count": 100,
"since": "2026-10-13"
},
"data": [
{
"date": "2026-10-19",
"country": "HU",
"series_updated": 434,
"latest_period": "2026-08",
"measures": [
"capacity",
"spend",
"arrivals"
]
},
{
"date": "2026-10-19",
"country": "JM",
"series_updated": 169,
"latest_period": "2025-12",
"measures": [
"arrivals"
]
},
{
"date": "2026-10-19",
"country": "SX",
"series_updated": 6,
"latest_period": "2025-12",
"measures": [
"arrivals"
]
}
]
}Response fields
| Field | Type | Example |
|---|---|---|
| date | string | 2026-10-19 |
| country | string | HU |
| series_updated | number | 434 |
| latest_period | string | 2026-08 |
| measures | array | 3 items |